Angumine
=====

Angumine is a simple command-line utility to parse AngularJS HTML templates for `ng-*` and handlebars (`{{...}}`) references to data that builds a dot-notated tree using loop structures found in the template, i.e. if the template contains:

```html
{{something.here}}
<beautifullist ng-class="ngClassesAreIgnored" ng-repeat="project in projects">
  <documents ng-repeat="paper in project.papers">
    <docbody ng-show="paper.visible">
      {{paper.text}}
      {{another.thing}}
    </docbody>
  </documents>
</beautifullist>
```

The output would be:
```
$ angumine test.html 

---------
test.html
---------

something.here
[projects]project.[project.papers]paper.visible
[projects]project.[project.papers]paper.text
another.thing
```

### Installation

```
gem install angumine
```

### Usage

```
angumine file_or_dir_1 file_or_dir_2 file_or_dir_3
```

Or

```
angumine -r file_or_dir_to_search_recursively_1 file_or_dir_to_search_recursively_2
```

e.g.

```
angumine -r app/assets/templates/
```

### License

Copyright (c) 2013 Gary S. Weaver, released under the [MIT license][lic].

[lic]: http://github.com/garysweaver/angumine/blob/master/LICENSE
